using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class RoomType
    {
        private IList<RoomTypeModal> modals = new List<RoomTypeModal>();

        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }

        /// <summary>
        /// 房型编号
        /// </summary>
        public virtual string Code
        {
            get;
            set;
        }

        /// <summary>
        /// 自定义房型名称
        /// </summary>
        public virtual string Name
        {
            get;
            set;
        }
        /// <summary>
        /// 主机上定义的房型名称
        /// </summary>
        public virtual string HostName
        {
            get;
            set;
        }
        /// <summary>
        /// 房高
        /// </summary>
        public virtual string RoomHeight
        {
            get;
            set;
        }

        /// <summary>
        /// 面积
        /// </summary>
        public virtual string RoomArea
        {
            get;
            set;
        }


        /// <summary>
        /// 热损失系数
        /// </summary>
        public virtual string RoomHotLossRatio
        {
            get;
            set;
        }
        /// <summary>
        /// 是否默认
        /// </summary>
        public virtual bool Default
        {
            get;
            set;
        }

        /// <summary>
        /// 空调管制：0/两管制，1/四管制
        /// </summary>
        public virtual ControlType ControlType
        {
            get;
            set;
        }
        /// <summary>
        /// 
        /// </summary>
        public virtual IList<RoomTypeModal> Modals
        {
            get { return this.modals; }
            protected set { this.modals = value; }
        }
        /// <summary>
        /// 最新更新日期
        /// </summary>
        public virtual DateTime? Last_Modified_Time
        {
            get;
            set;
        }
        /// <summary>
        /// 是否已删除
        /// </summary>
        public virtual bool IsDeleted
        {
            get;
            set;
        }
    }
}
